use strict;
use warnings;


open(my $fh, "<", "hankaku.bin") or die("open error $!");

print "char hankakufont[256][16] = {\n";
for my $i(0..255){
	my $buf;
	read($fh, $buf, 16);
	print "{";
	for my $j(0..15){
		print sprintf("0x%02X%s", ord(substr($buf, $j, 1)), $j == 15 ? "" : ", ");
	}
	print "}";
	print "," if($i != 255);
	print "\n";
}
print "};\n";

close($fh);

